"""Rename iptrunk and iptrunk side sid and gid.

Revision ID: e358efe9ab03
Revises: 4cc835c615fc
Create Date: 2024-12-04 15:05:46.356709

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'e358efe9ab03'
down_revision = '4cc835c615fc'
branch_labels = None
depends_on = None


def upgrade() -> None:
    conn = op.get_bind()
    conn.execute(sa.text("""
UPDATE resource_types SET resource_type='ga_id' WHERE resource_types.resource_type = 'iptrunk_side_ae_geant_a_sid'
    """))
    conn.execute(sa.text("""
UPDATE resource_types SET resource_type='gs_id' WHERE resource_types.resource_type = 'geant_s_sid'
    """))


def downgrade() -> None:
    conn = op.get_bind()
    conn.execute(sa.text("""
UPDATE resource_types SET resource_type='iptrunk_side_ae_geant_a_sid' WHERE resource_types.resource_type = 'ga_id'
    """))
    conn.execute(sa.text("""
UPDATE resource_types SET resource_type='geant_s_sid' WHERE resource_types.resource_type = 'gs_id'
    """))
